Skip to main content



Cisco Defense Orchestrator

ASA Software and Hardware Support

This article describes the ASA software and hardware versions that CDO supports.

ASA Software Support

Cisco Defense Orchestrator (CDO) fully supports all ASA's that are running application versions 8.4 or greater. 

Note: There may be a CDO feature that does not support all versions of ASA, such as ASA Upgrade. In those cases, the documentation will list any version exceptions with the prerequisites for that feature. 

CDO partially supports ASA applications versions that are older than 8.4.

CDO features that are available for the partially supported ASA application versions include:

  • The ability to add the device to CDO
  • View the configuration of the device via CDO
  • The use of the CDO CLI application for the device
  • Visibility into changes that are made on the device
  • Template creation 

CDO features that are not supported with the when running code versions that are older than 8.4 include:

  • Object Management
  • Access-List/Access-Group Management
  • VPN Monitoring
  • NAT Rule Management
  • Full ASA Configuration write

ASA Hardware Platform Support

CDO can manage an ASA running ASA 8.4 software or higher on whatever hardware it is installed. 

Supported AS A Hardware Models and Virtual Platforms
ASA 5500 series devices
Firepower 2100 series devices
Firepower 4100 series devices

Firepower 9000 series devices.

(Currently this is the Firepower 9300.)

  • Was this article helpful?